Delete approval request
Delete existing approval request by ID
deleteApprovalRequest
Deletes an approval request by ID.
Method
POST
Path
/graphql
Authentication
Bearer Token
Request Body Schema
Content-type: application/json
Variables
| Name | Type | Required | Description |
|---|---|---|---|
id | ID | Required | The approval request ID to delete |
Example Payload
{
"query": "mutation ($id: ID!) { deleteApprovalRequest(id: $id) { id customer_name } }",
"variables": {
"id": "01JNQX4KZB7WNVR3MPXT6A0010"
}
}
Response
Returns the deleted ApprovalRequest object.
Example Response
{
"data": {
"deleteApprovalRequest": {
"id": "01JNQX4KZB7WNVR3MPXT6A0010",
"customer_name": "Acme Corporation"
}
}
}
Errors
Example Response
{
"errors": [
{
"message": "Unauthenticated."
}
]
}
Method
POSTPath
/graphqlAuthentication
Bearer TokenPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Required | User identifier |